Bug 574706 - broken yum repository for kpackagekit since 03-16-2010
broken yum repository for kpackagekit since 03-16-2010
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-18 06:23 EDT by lethalwp
Modified: 2010-10-13 10:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 10:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lethalwp 2010-03-18 06:23:00 EDT
Description of problem:

broken repo, PackageKit got an update recently, but kpackagekit was forgotten


[root@little lethalwp]# yum install kpackagekit
<snip>
Resolving Dependencies
--> Running transaction check
---> Package kpackagekit.x86_64 0:0.6.0-0.6.20100223svn.fc13 set to be updated
--> Processing Dependency: libpackagekit-qt.so.13()(64bit) for package: kpackagekit-0.6.0-0.6.20100223svn.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: kpackagekit-0.6.0-0.6.20100223svn.fc13.x86_64 (fedora)
           Requires: libpackagekit-qt.so.13()(64bit)
           Available: PackageKit-qt-0.6.2-0.1.20100225git.fc13.x86_64 (fedora)
 You could try using --skip-broken to work around the problem


[root@little lethalwp]# rpm -ql  PackageKit-qt
/usr/lib64/libpackagekit-qt.so.14
/usr/lib64/libpackagekit-qt.so.14.0.0
/usr/share/doc/PackageKit-qt-0.6.2
/usr/share/doc/PackageKit-qt-0.6.2/AUTHORS
/usr/share/doc/PackageKit-qt-0.6.2/COPYING
/usr/share/doc/PackageKit-qt-0.6.2/NEWS
/usr/share/doc/PackageKit-qt-0.6.2/README
Comment 1 Kevin Kofler 2010-03-18 12:13:01 EDT
The correct version of kpackagekit is already in Rawhide, it just needs to be synced. I'll do it.

Richard, if you bump the PackageKit-qt soname, please also take care of kpackagekit, or at least tell us so we can take care of it.
Comment 2 Kevin Kofler 2010-03-18 12:21:28 EDT
kpackagekit-0.6.0-0.8.20100301svn.fc13 is now building, I'll request it added to the PackageKit update once it's built.
Comment 3 Fedora Update System 2010-03-19 14:07:00 EDT
kpackagekit-0.6.0-0.8.20100301svn.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kpackagekit-0.6.0-0.8.20100301svn.fc13
Comment 4 Rex Dieter 2010-03-19 14:10:12 EDT
nevermind that last one, it should get added to,
https://admin.fedoraproject.org/updates/F13/FEDORA-2010-4617
instead.

Note You need to log in before you can comment on or make changes to this bug.